//
//  NSArrayHelpers.h
//  GlyphsCore
//
//  Created by Georg Seifert on 18.08.12.
//  Copyright (c) 2012 schriftgestaltung.de. All rights reserved.
//

@interface NSArray (Helper)

- (NSArray *)filteredArrayUsingBlock:(BOOL (^)(id elt))filterBlock;

- (NSArray *)distinctValueForKey:(NSString *)key;

- (NSArray *)allCombinationsKeepOrder:(BOOL)keepOrder;

- (void)writeAsOldstylePropertyList:(NSString *)filePath;

- (NSUInteger)countOfObjectsMatchingPredicate:(NSPredicate *)predicate;

@end
